"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore

bytes = str


class QPauseAnimation(PySide2.QtCore.QAbstractAnimation):
    """
    https://doc.qt.io/qt-5/qpauseanimation.html

    **Detailed Description**

    If you wish to introduce a delay between animations in a
    **QSequentialAnimationGroup** , you can insert a QPauseAnimation. This class
    does not animate anything, but does not **finish**  before a specified
    number of milliseconds have elapsed from when it was started. You specify
    the duration of the pause in the constructor. It can also be set directly
    with **setDuration** ().

    It is not necessary to construct a QPauseAnimation yourself.
    **QSequentialAnimationGroup**  provides the convenience functions
    **addPause()**  and **insertPause()** . These functions simply take the
    number of milliseconds the pause should last.

    **See also** **QSequentialAnimationGroup** .
    """

    @typing.overload
    def __init__(
        self, msecs: int, parent: typing.Optional[PySide2.QtCore.QObject] = ...
    ) -> None:
        """
        https://doc.qt.io/qt-5/qpauseanimation.html#QPauseAnimation

        **QPauseAnimation::QPauseAnimation(QObject * parent = nullptr)**

        Constructs a QPauseAnimation. **parent** is passed to **QObject** 's
        constructor. The default duration is 0.
        """
        ...

    @typing.overload
    def __init__(self, parent: typing.Optional[PySide2.QtCore.QObject] = ...) -> None:
        """
        https://doc.qt.io/qt-5/qpauseanimation.html#QPauseAnimation

        **QPauseAnimation::QPauseAnimation(QObject * parent = nullptr)**

        Constructs a QPauseAnimation. **parent** is passed to **QObject** 's
        constructor. The default duration is 0.
        """
        ...

    def duration(self) -> int:
        """
        https://doc.qt.io/qt-5/qpauseanimation.html#duration-prop

        **duration : int**

        This property holds the duration of the pause.

        The duration of the pause. The duration should not be negative. The
        default duration is 250 milliseconds.

        **Access functions:**

        virtual int **duration** () const override
        void **setDuration** (int
        **msecs** )

        **Member Function Documentation**
        """
        ...

    def event(self, e: PySide2.QtCore.QEvent) -> bool:
        """
        https://doc.qt.io/qt-5/qpauseanimation.html#event

        **[override virtual protected] bool QPauseAnimation::event(QEvent * e
        )**

        Reimplements: **QAbstractAnimation::event** (QEvent *event).
        """
        ...

    def setDuration(self, msecs: int) -> None:
        """
        https://doc.qt.io/qt-5/qpauseanimation.html#duration-prop

        **duration : int**

        This property holds the duration of the pause.

        The duration of the pause. The duration should not be negative. The
        default duration is 250 milliseconds.

        **Access functions:**

        virtual int **duration** () const override
        void **setDuration** (int
        **msecs** )

        **Member Function Documentation**
        """
        ...

    def updateCurrentTime(self, arg__1: int) -> None:
        """
        https://doc.qt.io/qt-5/qpauseanimation.html#updateCurrentTime

        **[override virtual protected] void QPauseAnimation::updateCurrentTime(
        int )**

        Reimplements: **QAbstractAnimation::updateCurrentTime** (int
        currentTime).
        """
        ...
