"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore

bytes = str


class QWriteLocker(object):
    """
    https://doc.qt.io/qt-5/qwritelocker.html

    **Detailed Description**

    The purpose of QWriteLocker (and **QReadLocker** ) is to simplify
    **QReadWriteLock**  locking and unlocking. Locking and unlocking statements
    or in exception handling code is error-prone and difficult to debug.
    QWriteLocker can be used in such situations to ensure that the state of the
    lock is always well-defined.

    Here's an example that uses QWriteLocker to lock and unlock a read-write
    lock for writing:

    **QReadWriteLock**  lock;

        void writeData(const **QByteArray**
    &data)
        {
            **QWriteLocker**  locker(&lock);
            ...
        }

    It is equivalent to the following code:

    **QReadWriteLock**  lock;

        void writeData(const **QByteArray**
    &data)
        {
            lock.lockForWrite();
            ...
            lock.unlock();
    }

    The **QMutexLocker**  documentation shows examples where the use of a locker
    object greatly simplifies programming.

    **See also** **QReadLocker**  and **QReadWriteLock** .
    """

    def __init__(self, readWriteLock: PySide2.QtCore.QReadWriteLock) -> None:
        """
        https://doc.qt.io/qt-5/qwritelocker.html#QWriteLocker

        **QWriteLocker::QWriteLocker(QReadWriteLock * lock )**

        Constructs a QWriteLocker and locks **lock** for writing. The lock will
        be unlocked when the QWriteLocker is destroyed. If `lock` is zero,
        QWriteLocker does nothing.

        **See also** **QReadWriteLock::lockForWrite** ().
        """
        ...

    def __enter__(self) -> None:
        ...

    def __exit__(self, arg__1: object, arg__2: object, arg__3: object) -> None:
        ...

    def readWriteLock(self) -> PySide2.QtCore.QReadWriteLock:
        """
        https://doc.qt.io/qt-5/qwritelocker.html#readWriteLock

        **QReadWriteLock *QWriteLocker::readWriteLock() const**

        Returns a pointer to the read-write lock that was passed to the
        constructor.
        """
        ...

    def relock(self) -> None:
        """
        https://doc.qt.io/qt-5/qwritelocker.html#relock

        **void QWriteLocker::relock()**

        Relocks an unlocked lock.

        **See also** **unlock** ().
        """
        ...

    def unlock(self) -> None:
        """
        https://doc.qt.io/qt-5/qwritelocker.html#unlock

        **void QWriteLocker::unlock()**

        Unlocks the lock associated with this locker.

        **See also** **QReadWriteLock::unlock** ().
        """
        ...
