"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QAccessibleEvent(object):
    """
    https://doc.qt.io/qt-5/qaccessibleevent.html

    **Detailed Description**

    This class is used with **QAccessible::updateAccessibility** ().

    The event type is one of the values of **QAccessible::Event** . There are a
    number of subclasses that should be used to provide more details about the
    event.

    For example to notify about a focus change when re-implementing
    **QWidget::setFocus** , the event could be used as follows:

    void MyWidget::setFocus(Qt::FocusReason reason)
        {
            // handle
    custom focus setting...
            QAccessibleEvent event(f, **QAccessible**
    ::Focus);
            **QAccessible** ::updateAccessibility(&event);
        }

    To enable in process screen readers, all events must be sent after the
    change has happened.
    """

    @typing.overload
    def __init__(
        self,
        iface: PySide2.QtGui.QAccessibleInterface,
        typ: PySide2.QtGui.QAccessible.Event,
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibleevent.html#QAccessibleEvent-1

        **QAccessibleEvent::QAccessibleEvent(QObject * object ,
        QAccessible::Event type )**

        Constructs a QAccessibleEvent to notify that **object** has changed. The
        event **type** describes what changed.
        """
        ...

    @typing.overload
    def __init__(
        self, obj: PySide2.QtCore.QObject, typ: PySide2.QtGui.QAccessible.Event
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibleevent.html#QAccessibleEvent-1

        **QAccessibleEvent::QAccessibleEvent(QObject * object ,
        QAccessible::Event type )**

        Constructs a QAccessibleEvent to notify that **object** has changed. The
        event **type** describes what changed.
        """
        ...

    def accessibleInterface(self) -> PySide2.QtGui.QAccessibleInterface:
        """
        https://doc.qt.io/qt-5/qaccessibleevent.html#accessibleInterface

        **[virtual] QAccessibleInterface
        *QAccessibleEvent::accessibleInterface() const**

        Returns the **QAccessibleInterface**  associated with the event.
        """
        ...

    def child(self) -> int:
        """
        https://doc.qt.io/qt-5/qaccessibleevent.html#child

        **int QAccessibleEvent::child() const**

        Returns the child index.

        **See also** **setChild** ().
        """
        ...

    def object(self) -> PySide2.QtCore.QObject:
        """
        https://doc.qt.io/qt-5/qaccessibleevent.html#object

        **QObject *QAccessibleEvent::object() const**

        Returns the event object.
        """
        ...

    def setChild(self, chld: int) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibleevent.html#setChild

        **void QAccessibleEvent::setChild(int child )**

        Sets the child index to **child**.

        **See also** **child** ().
        """
        ...

    def type(self) -> PySide2.QtGui.QAccessible.Event:
        """
        https://doc.qt.io/qt-5/qaccessibleevent.html#type

        **QAccessible::Event QAccessibleEvent::type() const**

        Returns the event type.
        """
        ...

    def uniqueId(self) -> int:
        ...
