"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QAccessibleStateChangeEvent(PySide2.QtGui.QAccessibleEvent):
    """
    https://doc.qt.io/qt-5/qaccessiblestatechangeevent.html

    **Detailed Description**

    This class is used with **QAccessible::updateAccessibility** ().

    **See also** **QAccessibleInterface::state** ().
    """

    @typing.overload
    def __init__(
        self,
        iface: PySide2.QtGui.QAccessibleInterface,
        state: PySide2.QtGui.QAccessible.State,
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessiblestatechangeevent.html#QAccessibleState
        ChangeEvent

        **QAccessibleStateChangeEvent::QAccessibleStateChangeEvent(QObject *
        object , QAccessible::State state )**

        Constructs a new QAccessibleStateChangeEvent for **object**. The
        difference to the object's previous state is in **state**.
        """
        ...

    @typing.overload
    def __init__(
        self, obj: PySide2.QtCore.QObject, state: PySide2.QtGui.QAccessible.State
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessiblestatechangeevent.html#QAccessibleState
        ChangeEvent

        **QAccessibleStateChangeEvent::QAccessibleStateChangeEvent(QObject *
        object , QAccessible::State state )**

        Constructs a new QAccessibleStateChangeEvent for **object**. The
        difference to the object's previous state is in **state**.
        """
        ...

    def changedStates(self) -> PySide2.QtGui.QAccessible.State:
        """
        https://doc.qt.io/qt-5/qaccessiblestatechangeevent.html#changedStates

        **QAccessible::State QAccessibleStateChangeEvent::changedStates()
        const**

        Returns the states that have been changed.

        Keep in mind that the returned states are the ones that have changed. To
        find out about the state of an object, use
        **QAccessibleInterface::state** ().

        For example, if an object used to have the focus but loses it, the
        object's state will have focused set to `false`. This event on the other
        hand tells about the change and has focused set to `true` since the
        focus state is changed from `true` to `false`.
        """
        ...
