"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QAccessibleTableModelChangeEvent(PySide2.QtGui.QAccessibleEvent):
    """
    https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html

    **Detailed Description**

    This class is used with **QAccessible::updateAccessibility** ().
    """

    ModelReset: QAccessibleTableModelChangeEvent = ...
    DataChanged: QAccessibleTableModelChangeEvent = ...
    RowsInserted: QAccessibleTableModelChangeEvent = ...
    ColumnsInserted: QAccessibleTableModelChangeEvent = ...
    RowsRemoved: QAccessibleTableModelChangeEvent = ...
    ColumnsRemoved: QAccessibleTableModelChangeEvent = ...

    class ModelChangeType(object):
        ModelReset: QAccessibleTableModelChangeEvent.ModelChangeType = ...
        DataChanged: QAccessibleTableModelChangeEvent.ModelChangeType = ...
        RowsInserted: QAccessibleTableModelChangeEvent.ModelChangeType = ...
        ColumnsInserted: QAccessibleTableModelChangeEvent.ModelChangeType = ...
        RowsRemoved: QAccessibleTableModelChangeEvent.ModelChangeType = ...
        ColumnsRemoved: QAccessibleTableModelChangeEvent.ModelChangeType = ...

    @typing.overload
    def __init__(
        self,
        iface: PySide2.QtGui.QAccessibleInterface,
        changeType: PySide2.QtGui.QAccessibleTableModelChangeEvent.ModelChangeType,
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#QAccessible
        TableModelChangeEvent

        **QAccessibleTableModelChangeEvent::QAccessibleTableModelChangeEvent(QOb
        ject * object , QAccessibleTableModelChangeEvent::ModelChangeType
        changeType )**

        Constructs a new QAccessibleTableModelChangeEvent for **object** of with
        **changeType**.
        """
        ...

    @typing.overload
    def __init__(
        self,
        obj: PySide2.QtCore.QObject,
        changeType: PySide2.QtGui.QAccessibleTableModelChangeEvent.ModelChangeType,
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#QAccessible
        TableModelChangeEvent

        **QAccessibleTableModelChangeEvent::QAccessibleTableModelChangeEvent(QOb
        ject * object , QAccessibleTableModelChangeEvent::ModelChangeType
        changeType )**

        Constructs a new QAccessibleTableModelChangeEvent for **object** of with
        **changeType**.
        """
        ...

    def firstColumn(self) -> int:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#firstColumn

        **int QAccessibleTableModelChangeEvent::firstColumn() const**

        Returns the first changed column.

        **See also** **setFirstColumn** ().
        """
        ...

    def firstRow(self) -> int:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#firstRow

        **int QAccessibleTableModelChangeEvent::firstRow() const**

        Returns the first changed row.

        **See also** **setFirstRow** ().
        """
        ...

    def lastColumn(self) -> int:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#lastColumn

        **int QAccessibleTableModelChangeEvent::lastColumn() const**

        Returns the last changed column.

        **See also** **setLastColumn** ().
        """
        ...

    def lastRow(self) -> int:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#lastRow

        **int QAccessibleTableModelChangeEvent::lastRow() const**

        Returns the last changed row.

        **See also** **setLastRow** ().
        """
        ...

    def modelChangeType(
        self,
    ) -> PySide2.QtGui.QAccessibleTableModelChangeEvent.ModelChangeType:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#modelChange
        Type

        **QAccessibleTableModelChangeEvent::ModelChangeType
        QAccessibleTableModelChangeEvent::modelChangeType() const**

        Returns the type of change.

        **See also** **setModelChangeType** ().
        """
        ...

    def setFirstColumn(self, col: int) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#setFirstCol
        umn

        **void QAccessibleTableModelChangeEvent::setFirstColumn(int column )**

        Sets the first changed **column**.

        **See also** **firstColumn** ().
        """
        ...

    def setFirstRow(self, row: int) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#setFirstRow

        **void QAccessibleTableModelChangeEvent::setFirstRow(int row )**

        Sets the first changed **row**.

        **See also** **firstRow** ().
        """
        ...

    def setLastColumn(self, col: int) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#setLastColu
        mn

        **void QAccessibleTableModelChangeEvent::setLastColumn(int column )**

        Sets the last changed **column**.

        **See also** **lastColumn** ().
        """
        ...

    def setLastRow(self, row: int) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#setLastRow

        **void QAccessibleTableModelChangeEvent::setLastRow(int row )**

        Sets the last changed **row**.

        **See also** **lastRow** ().
        """
        ...

    def setModelChangeType(
        self, changeType: PySide2.QtGui.QAccessibleTableModelChangeEvent.ModelChangeType
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletablemodelchangeevent.html#setModelCha
        ngeType

        **void QAccessibleTableModelChangeEvent::setModelChangeType(QAccessibleT
        ableModelChangeEvent::ModelChangeType changeType )**

        Sets the type of change to **changeType**.

        **See also** **modelChangeType** ().
        """
        ...
