"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QAccessibleTextRemoveEvent(PySide2.QtGui.QAccessibleTextCursorEvent):
    """
    https://doc.qt.io/qt-5/qaccessibletextremoveevent.html

    **Detailed Description**

    This class is used with **QAccessible::updateAccessibility** ().
    """

    @typing.overload
    def __init__(
        self, iface: PySide2.QtGui.QAccessibleInterface, position: int, text: str
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletextremoveevent.html#QAccessibleTextRe
        moveEvent

        **QAccessibleTextRemoveEvent::QAccessibleTextRemoveEvent(QObject *
        object , int position , const QString & text )**

        Constructs a new QAccessibleTextRemoveEvent event for **object**. The
        **text** has been removed at **position**. By default it is assumed that
        the cursor has moved to **position**. If that is not the case, one needs
        to manually set it with
        **QAccessibleTextCursorEvent::setCursorPosition** () for this event.
        """
        ...

    @typing.overload
    def __init__(self, obj: PySide2.QtCore.QObject, position: int, text: str) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletextremoveevent.html#QAccessibleTextRe
        moveEvent

        **QAccessibleTextRemoveEvent::QAccessibleTextRemoveEvent(QObject *
        object , int position , const QString & text )**

        Constructs a new QAccessibleTextRemoveEvent event for **object**. The
        **text** has been removed at **position**. By default it is assumed that
        the cursor has moved to **position**. If that is not the case, one needs
        to manually set it with
        **QAccessibleTextCursorEvent::setCursorPosition** () for this event.
        """
        ...

    def changePosition(self) -> int:
        """
        https://doc.qt.io/qt-5/qaccessibletextremoveevent.html#changePosition

        **int QAccessibleTextRemoveEvent::changePosition() const**

        Returns the position where the text was removed.
        """
        ...

    def textRemoved(self) -> str:
        """
        https://doc.qt.io/qt-5/qaccessibletextremoveevent.html#textRemoved

        **QString QAccessibleTextRemoveEvent::textRemoved() const**

        Returns the text that has been removed.
        """
        ...
