"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QAccessibleTextUpdateEvent(PySide2.QtGui.QAccessibleTextCursorEvent):
    """
    https://doc.qt.io/qt-5/qaccessibletextupdateevent.html

    **Detailed Description**

    This class is used with **QAccessible::updateAccessibility** ().
    """

    @typing.overload
    def __init__(
        self,
        iface: PySide2.QtGui.QAccessibleInterface,
        position: int,
        oldText: str,
        text: str,
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletextupdateevent.html#QAccessibleTextUp
        dateEvent

        **QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QObject *
        object , int position , const QString & oldText , const QString & text
        )**

        Constructs a new QAccessibleTextUpdateEvent for **object**. The text
        change takes place at **position** where the **oldText** was removed and
        **text** inserted instead.
        """
        ...

    @typing.overload
    def __init__(
        self, obj: PySide2.QtCore.QObject, position: int, oldText: str, text: str
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessibletextupdateevent.html#QAccessibleTextUp
        dateEvent

        **QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QObject *
        object , int position , const QString & oldText , const QString & text
        )**

        Constructs a new QAccessibleTextUpdateEvent for **object**. The text
        change takes place at **position** where the **oldText** was removed and
        **text** inserted instead.
        """
        ...

    def changePosition(self) -> int:
        """
        https://doc.qt.io/qt-5/qaccessibletextupdateevent.html#changePosition

        **int QAccessibleTextUpdateEvent::changePosition() const**

        Returns where the change took place.
        """
        ...

    def textInserted(self) -> str:
        """
        https://doc.qt.io/qt-5/qaccessibletextupdateevent.html#textInserted

        **QString QAccessibleTextUpdateEvent::textInserted() const**

        Returns the inserted text.
        """
        ...

    def textRemoved(self) -> str:
        """
        https://doc.qt.io/qt-5/qaccessibletextupdateevent.html#textRemoved

        **QString QAccessibleTextUpdateEvent::textRemoved() const**

        Returns the removed text.
        """
        ...
