"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QAccessibleValueChangeEvent(PySide2.QtGui.QAccessibleEvent):
    """
    https://doc.qt.io/qt-5/qaccessiblevaluechangeevent.html

    **Detailed Description**

    It contains the new value.

    This class is used with **QAccessible::updateAccessibility** ().
    """

    @typing.overload
    def __init__(
        self, iface: PySide2.QtGui.QAccessibleInterface, val: typing.Any
    ) -> None:
        """
        https://doc.qt.io/qt-5/qaccessiblevaluechangeevent.html#QAccessibleValue
        ChangeEvent

        **QAccessibleValueChangeEvent::QAccessibleValueChangeEvent(QObject *
        object , const QVariant & value )**

        Constructs a new QAccessibleValueChangeEvent for **object**. The event
        contains the new **value**.
        """
        ...

    @typing.overload
    def __init__(self, obj: PySide2.QtCore.QObject, val: typing.Any) -> None:
        """
        https://doc.qt.io/qt-5/qaccessiblevaluechangeevent.html#QAccessibleValue
        ChangeEvent

        **QAccessibleValueChangeEvent::QAccessibleValueChangeEvent(QObject *
        object , const QVariant & value )**

        Constructs a new QAccessibleValueChangeEvent for **object**. The event
        contains the new **value**.
        """
        ...

    def setValue(self, val: typing.Any) -> None:
        """
        https://doc.qt.io/qt-5/qaccessiblevaluechangeevent.html#setValue

        **void QAccessibleValueChangeEvent::setValue(const QVariant & value )**

        Sets the new **value** for this event.

        **See also** **value** ().
        """
        ...

    def value(self) -> typing.Any:
        """
        https://doc.qt.io/qt-5/qaccessiblevaluechangeevent.html#value

        **QVariant QAccessibleValueChangeEvent::value() const**

        Returns the new value of the accessible object of this event.

        **See also** **setValue** ().
        """
        ...
