"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QConicalGradient(PySide2.QtGui.QGradient):
    """
    https://doc.qt.io/qt-5/qconicalgradient.html

    **Detailed Description**

    Conical gradients interpolate interpolate colors counter-clockwise around a
    center point.

    ![](images/qconicalgradient.png)

    The colors in a gradient is defined using stop points of the
    **QGradientStop**  type, i.e. a position and a color. Use the
    **QGradient::setColorAt** () or the **QGradient::setStops** () function to
    define the stop points. It is the gradient's complete set of stop points
    that describes how the gradient area should be filled. If no stop points
    have been specified, a gradient of black at 0 to white at 1 is used.

    In addition to the functions inherited from **QGradient** , the
    QConicalGradient class provides the **angle** () and **center** () functions
    returning the start angle and center of the gradient.

    Note that the **setSpread** () function has no effect for conical gradients.
    The reason is that the conical gradient is closed by definition, i.e. the
    conical gradient fills the entire circle from 0 - 360 degrees, while the
    boundary of a radial or a linear gradient can be specified through its
    radius or final stop points, respectively.

    **See also** **QLinearGradient** , **QRadialGradient** , and **The Gradients
    Example** .
    """

    @typing.overload
    def __init__(self) -> None:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#QConicalGradient

        **QConicalGradient::QConicalGradient()**

        Constructs a conical with center at (0, 0) starting the interpolation at
        angle 0.

        **See also** **QGradient::setColorAt** (), **setCenter** (), and
        **setAngle** ().
        """
        ...

    @typing.overload
    def __init__(self, QConicalGradient: PySide2.QtGui.QConicalGradient) -> None:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#QConicalGradient

        **QConicalGradient::QConicalGradient()**

        Constructs a conical with center at (0, 0) starting the interpolation at
        angle 0.

        **See also** **QGradient::setColorAt** (), **setCenter** (), and
        **setAngle** ().
        """
        ...

    @typing.overload
    def __init__(self, center: PySide2.QtCore.QPointF, startAngle: float) -> None:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#QConicalGradient

        **QConicalGradient::QConicalGradient()**

        Constructs a conical with center at (0, 0) starting the interpolation at
        angle 0.

        **See also** **QGradient::setColorAt** (), **setCenter** (), and
        **setAngle** ().
        """
        ...

    @typing.overload
    def __init__(self, cx: float, cy: float, startAngle: float) -> None:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#QConicalGradient

        **QConicalGradient::QConicalGradient()**

        Constructs a conical with center at (0, 0) starting the interpolation at
        angle 0.

        **See also** **QGradient::setColorAt** (), **setCenter** (), and
        **setAngle** ().
        """
        ...

    @staticmethod
    def __copy__() -> None:
        ...

    def angle(self) -> float:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#angle

        **qreal QConicalGradient::angle() const**

        Returns the start angle of the conical gradient in logical coordinates.

        **See also** **setAngle** () and **stops** ().
        """
        ...

    def center(self) -> PySide2.QtCore.QPointF:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#center

        **QPointF QConicalGradient::center() const**

        Returns the center of the conical gradient in logical coordinates.

        **See also** **setCenter** () and **stops** ().
        """
        ...

    def setAngle(self, angle: float) -> None:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#setAngle

        **void QConicalGradient::setAngle(qreal angle )**

        Sets **angle** to be the start angle for this conical gradient in
        logical coordinates.

        This function was introduced in Qt 4.2.

        **See also** **angle** ().
        """
        ...

    @typing.overload
    def setCenter(self, center: PySide2.QtCore.QPointF) -> None:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#setCenter

        **void QConicalGradient::setCenter(const QPointF & center )**

        Sets the center of this conical gradient in logical coordinates to
        **center**.

        **See also** **center** ().
        """
        ...

    @typing.overload
    def setCenter(self, x: float, y: float) -> None:
        """
        https://doc.qt.io/qt-5/qconicalgradient.html#setCenter

        **void QConicalGradient::setCenter(const QPointF & center )**

        Sets the center of this conical gradient in logical coordinates to
        **center**.

        **See also** **center** ().
        """
        ...
