"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QEnterEvent(PySide2.QtCore.QEvent):
    """
    https://doc.qt.io/qt-5/qenterevent.html

    **Detailed Description**

    Enter events occur when the mouse cursor enters a window or a widget.
    """

    def __init__(
        self,
        localPos: PySide2.QtCore.QPointF,
        windowPos: PySide2.QtCore.QPointF,
        screenPos: PySide2.QtCore.QPointF,
    ) -> None:
        """
        https://doc.qt.io/qt-5/qenterevent.html#QEnterEvent

        **QEnterEvent::QEnterEvent(const QPointF & localPos , const QPointF &
        windowPos , const QPointF & screenPos )**

        Constructs an enter event object.

        The points **localPos** , **windowPos** and **screenPos** specify the
        mouse cursor's position relative to the receiving widget or item,
        window, and screen, respectively.
        """
        ...

    def globalPos(self) -> PySide2.QtCore.QPoint:
        """
        https://doc.qt.io/qt-5/qenterevent.html#globalPos

        **QPoint QEnterEvent::globalPos() const**

        Returns the global position of the mouse cursor **at the time of the
        event**.
        """
        ...

    def globalX(self) -> int:
        """
        https://doc.qt.io/qt-5/qenterevent.html#globalX

        **int QEnterEvent::globalX() const**

        Returns the global position on the X-axis of the mouse cursor **at the
        time of the event**.
        """
        ...

    def globalY(self) -> int:
        """
        https://doc.qt.io/qt-5/qenterevent.html#globalY

        **int QEnterEvent::globalY() const**

        Returns the global position on the Y-axis of the mouse cursor **at the
        time of the event**.
        """
        ...

    def localPos(self) -> PySide2.QtCore.QPointF:
        """
        https://doc.qt.io/qt-5/qenterevent.html#localPos

        **const QPointF &QEnterEvent::localPos() const**

        Returns the mouse cursor's position relative to the receiving widget.
        """
        ...

    def pos(self) -> PySide2.QtCore.QPoint:
        """
        https://doc.qt.io/qt-5/qenterevent.html#pos

        **QPoint QEnterEvent::pos() const**

        Returns the position of the mouse cursor relative to the receiving
        widget.
        """
        ...

    def screenPos(self) -> PySide2.QtCore.QPointF:
        """
        https://doc.qt.io/qt-5/qenterevent.html#screenPos

        **const QPointF &QEnterEvent::screenPos() const**

        Returns the position of the mouse cursor relative to the receiving
        screen.
        """
        ...

    def windowPos(self) -> PySide2.QtCore.QPointF:
        """
        https://doc.qt.io/qt-5/qenterevent.html#windowPos

        **const QPointF &QEnterEvent::windowPos() const**

        Returns the position of the mouse cursor relative to the receiving
        window.
        """
        ...

    def x(self) -> int:
        """
        https://doc.qt.io/qt-5/qenterevent.html#x

        **int QEnterEvent::x() const**

        Returns the x position of the mouse cursor relative to the receiving
        widget.
        """
        ...

    def y(self) -> int:
        """
        https://doc.qt.io/qt-5/qenterevent.html#y

        **int QEnterEvent::y() const**

        Returns the y position of the mouse cursor relative to the receiving
        widget.
        """
        ...
