"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QLinearGradient(PySide2.QtGui.QGradient):
    """
    https://doc.qt.io/qt-5/qlineargradient.html

    **Detailed Description**

    Linear gradients interpolate colors between start and end points. Outside
    these points the gradient is either padded, reflected or repeated depending
    on the currently set **spread**  method:

    ![](images/qlineargradient-pad.png)![](images/qlineargradient-
    reflect.png)![](images/qlineargradient-repeat.png)
    **PadSpread**
    (default)**ReflectSpread** **RepeatSpread**

    The colors in a gradient is defined using stop points of the
    **QGradientStop**  type, i.e. a position and a color. Use the
    **QGradient::setColorAt** () or the **QGradient::setStops** () function to
    define the stop points. It is the gradient's complete set of stop points
    that describes how the gradient area should be filled. If no stop points
    have been specified, a gradient of black at 0 to white at 1 is used.

    In addition to the functions inherited from **QGradient** , the
    QLinearGradient class provides the **finalStop** () function which returns
    the final stop point of the gradient, and the **start** () function
    returning the start point of the gradient.

    **See also** **QRadialGradient** , **QConicalGradient** , and **The
    Gradients Example** .
    """

    @typing.overload
    def __init__(self) -> None:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#QLinearGradient

        **QLinearGradient::QLinearGradient()**

        Constructs a default linear gradient with interpolation area between (0,
        0) and (1, 1).

        **See also** **QGradient::setColorAt** (), **setStart** (), and
        **setFinalStop** ().
        """
        ...

    @typing.overload
    def __init__(self, QLinearGradient: PySide2.QtGui.QLinearGradient) -> None:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#QLinearGradient

        **QLinearGradient::QLinearGradient()**

        Constructs a default linear gradient with interpolation area between (0,
        0) and (1, 1).

        **See also** **QGradient::setColorAt** (), **setStart** (), and
        **setFinalStop** ().
        """
        ...

    @typing.overload
    def __init__(
        self, start: PySide2.QtCore.QPointF, finalStop: PySide2.QtCore.QPointF
    ) -> None:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#QLinearGradient

        **QLinearGradient::QLinearGradient()**

        Constructs a default linear gradient with interpolation area between (0,
        0) and (1, 1).

        **See also** **QGradient::setColorAt** (), **setStart** (), and
        **setFinalStop** ().
        """
        ...

    @typing.overload
    def __init__(
        self, xStart: float, yStart: float, xFinalStop: float, yFinalStop: float
    ) -> None:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#QLinearGradient

        **QLinearGradient::QLinearGradient()**

        Constructs a default linear gradient with interpolation area between (0,
        0) and (1, 1).

        **See also** **QGradient::setColorAt** (), **setStart** (), and
        **setFinalStop** ().
        """
        ...

    @staticmethod
    def __copy__() -> None:
        ...

    def finalStop(self) -> PySide2.QtCore.QPointF:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#finalStop

        **QPointF QLinearGradient::finalStop() const**

        Returns the final stop point of this linear gradient in logical
        coordinates.

        **See also** **setFinalStop** () and **QGradient::stops** ().
        """
        ...

    @typing.overload
    def setFinalStop(self, stop: PySide2.QtCore.QPointF) -> None:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#setFinalStop

        **void QLinearGradient::setFinalStop(const QPointF & stop )**

        Sets the final stop point of this linear gradient in logical coordinates
        to **stop**.

        This function was introduced in Qt 4.2.

        **See also** **finalStop** ().
        """
        ...

    @typing.overload
    def setFinalStop(self, x: float, y: float) -> None:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#setFinalStop

        **void QLinearGradient::setFinalStop(const QPointF & stop )**

        Sets the final stop point of this linear gradient in logical coordinates
        to **stop**.

        This function was introduced in Qt 4.2.

        **See also** **finalStop** ().
        """
        ...

    @typing.overload
    def setStart(self, start: PySide2.QtCore.QPointF) -> None:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#setStart

        **void QLinearGradient::setStart(const QPointF & start )**

        Sets the start point of this linear gradient in logical coordinates to
        **start**.

        This function was introduced in Qt 4.2.

        **See also** **start** ().
        """
        ...

    @typing.overload
    def setStart(self, x: float, y: float) -> None:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#setStart

        **void QLinearGradient::setStart(const QPointF & start )**

        Sets the start point of this linear gradient in logical coordinates to
        **start**.

        This function was introduced in Qt 4.2.

        **See also** **start** ().
        """
        ...

    def start(self) -> PySide2.QtCore.QPointF:
        """
        https://doc.qt.io/qt-5/qlineargradient.html#start

        **QPointF QLinearGradient::start() const**

        Returns the start point of this linear gradient in logical coordinates.

        **See also** **setStart** () and **QGradient::stops** ().
        """
        ...
