"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui

bytes = str


class QMoveEvent(PySide2.QtCore.QEvent):
    """
    https://doc.qt.io/qt-5/qmoveevent.html

    **Detailed Description**

    Move events are sent to widgets that have been moved to a new position
    relative to their parent.

    The event handler **QWidget::moveEvent** () receives move events.

    **See also** **QWidget::move** () and **QWidget::setGeometry** ().
    """

    def __init__(
        self, pos: PySide2.QtCore.QPoint, oldPos: PySide2.QtCore.QPoint
    ) -> None:
        """
        https://doc.qt.io/qt-5/qmoveevent.html#QMoveEvent

        **QMoveEvent::QMoveEvent(const QPoint & pos , const QPoint & oldPos )**

        Constructs a move event with the new and old widget positions, **pos**
        and **oldPos** respectively.
        """
        ...

    def oldPos(self) -> PySide2.QtCore.QPoint:
        """
        https://doc.qt.io/qt-5/qmoveevent.html#oldPos

        **const QPoint &QMoveEvent::oldPos() const**

        Returns the old position of the widget.
        """
        ...

    def pos(self) -> PySide2.QtCore.QPoint:
        """
        https://doc.qt.io/qt-5/qmoveevent.html#pos

        **const QPoint &QMoveEvent::pos() const**

        Returns the new position of the widget. This excludes the window frame
        for top level widgets.
        """
        ...
