"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui
import PySide2.QtNetwork
import PySide2.QtMultimediaWidgets
import PySide2.QtMultimedia

bytes = str


class QCameraViewfinderSettingsControl2(PySide2.QtMultimedia.QMediaControl):
    """
    https://doc.qt.io/qt-5/qcameraviewfindersettingscontrol2.html

    **Detailed Description**

    The functionality provided by this control is exposed to application code
    through the **QCamera**  class.

    The interface name of QCameraViewfinderSettingsControl2 is `org.qt-
    project.qt.cameraviewfindersettingscontrol2/5.5` as defined in
    **QCameraViewfinderSettingsControl2_iid** .

    **See also** **QMediaService::requestControl** (),
    **QCameraViewfinderSettings** , and **QCamera** .
    """

    def __init__(self, parent: typing.Optional[PySide2.QtCore.QObject] = ...) -> None:
        """
        https://doc.qt.io/qt-5/qcameraviewfindersettingscontrol2.html#QCameraVie
        wfinderSettingsControl2

        **[protected] QCameraViewfinderSettingsControl2::QCameraViewfinderSettin
        gsControl2(QObject * parent = nullptr)**

        Constructs a camera viewfinder settings control object with **parent**.
        """
        ...

    def setViewfinderSettings(
        self, settings: PySide2.QtMultimedia.QCameraViewfinderSettings
    ) -> None:
        """
        https://doc.qt.io/qt-5/qcameraviewfindersettingscontrol2.html#setViewfin
        derSettings

        **[pure virtual] void
        QCameraViewfinderSettingsControl2::setViewfinderSettings(const
        QCameraViewfinderSettings & settings )**

        Sets the camera viewfinder **settings**.

        **See also** **viewfinderSettings** ().
        """
        ...

    def supportedViewfinderSettings(self) -> typing.List:
        """
        https://doc.qt.io/qt-5/qcameraviewfindersettingscontrol2.html#supportedV
        iewfinderSettings

        **[pure virtual] QList<QCameraViewfinderSettings>
        QCameraViewfinderSettingsControl2::supportedViewfinderSettings() const**

        Returns a list of supported camera viewfinder settings.

        The list is ordered by preference; preferred settings come first.
        """
        ...

    def viewfinderSettings(self) -> PySide2.QtMultimedia.QCameraViewfinderSettings:
        """
        https://doc.qt.io/qt-5/qcameraviewfindersettingscontrol2.html#viewfinder
        Settings

        **[pure virtual] QCameraViewfinderSettings
        QCameraViewfinderSettingsControl2::viewfinderSettings() const**

        Returns the viewfinder settings.

        If undefined or unsupported values are passed to
        **QCameraViewfinderSettingsControl2::setViewfinderSettings** (), this
        function returns the actual settings used by the camera viewfinder.
        These may be available only once the camera is active.

        **See also** **setViewfinderSettings** ().
        """
        ...
