"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtNetwork

bytes = str


class QOcspResponse(object):
    """
    https://doc.qt.io/qt-5/qocspresponse.html

    **Detailed Description**

    The QOcspResponse class represents the revocation status of a server's
    certficate, received by the client-side socket during the TLS handshake.
    **QSslSocket**  must be configured with OCSP stapling enabled.

    **See also** **QSslSocket** , **QSslSocket::ocspResponses** (),
    **certificateStatus** (), **revocationReason** (), **responder** (),
    **subject** (), **QOcspCertificateStatus** , **QOcspRevocationReason** ,
    **QSslConfiguration::setOcspStaplingEnabled** (),
    **QSslConfiguration::ocspStaplingEnabled** (), and
    **QSslConfiguration::peerCertificate** ().
    """

    @typing.overload
    def __init__(self) -> None:
        """
        https://doc.qt.io/qt-5/qocspresponse.html#QOcspResponse

        **QOcspResponse::QOcspResponse()**

        Creates a new response with status QOcspCertificateStatus::Unknown and
        revocation reason QOcspRevocationReason::None.

        This function was introduced in Qt 5.13.

        **See also** **QOcspCertificateStatus** .
        """
        ...

    @typing.overload
    def __init__(self, other: PySide2.QtNetwork.QOcspResponse) -> None:
        """
        https://doc.qt.io/qt-5/qocspresponse.html#QOcspResponse

        **QOcspResponse::QOcspResponse()**

        Creates a new response with status QOcspCertificateStatus::Unknown and
        revocation reason QOcspRevocationReason::None.

        This function was introduced in Qt 5.13.

        **See also** **QOcspCertificateStatus** .
        """
        ...

    @staticmethod
    def __copy__() -> None:
        ...

    def certificateStatus(self) -> PySide2.QtNetwork.QOcspCertificateStatus:
        """
        https://doc.qt.io/qt-5/qocspresponse.html#certificateStatus

        **QOcspCertificateStatus QOcspResponse::certificateStatus() const**

        Returns the certificate status.

        This function was introduced in Qt 5.13.

        **See also** **QOcspCertificateStatus** .
        """
        ...

    def revocationReason(self) -> PySide2.QtNetwork.QOcspRevocationReason:
        """
        https://doc.qt.io/qt-5/qocspresponse.html#revocationReason

        **QOcspRevocationReason QOcspResponse::revocationReason() const**

        Returns the reason for revocation.

        This function was introduced in Qt 5.13.
        """
        ...

    def subject(self) -> PySide2.QtNetwork.QSslCertificate:
        """
        https://doc.qt.io/qt-5/qocspresponse.html#subject

        **QSslCertificate QOcspResponse::subject() const**

        This function returns a certificate, for which this response was issued.

        This function was introduced in Qt 5.13.
        """
        ...

    def swap(self, other: PySide2.QtNetwork.QOcspResponse) -> None:
        """
        https://doc.qt.io/qt-5/qocspresponse.html#swap

        **void QOcspResponse::swap(QOcspResponse & other )**

        Swaps this response with **other**.

        This function was introduced in Qt 5.13.
        """
        ...
