"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui
import PySide2.QtWidgets
import PySide2.QtPrintSupport

bytes = str


class QPageSetupDialog(PySide2.QtWidgets.QDialog):
    """
    https://doc.qt.io/qt-5/qpagesetupdialog.html

    **Detailed Description**

    On Windows and macOS the page setup dialog is implemented using the native
    page setup dialogs.

    Note that on Windows and macOS custom paper sizes won't be reflected in the
    native page setup dialogs. Additionally, custom page margins set on a
    **QPrinter**  won't show in the native macOS page setup dialog.

    **See also** **QPrinter**  and **QPrintDialog** .
    """

    @typing.overload
    def __init__(
        self, parent: typing.Optional[PySide2.QtWidgets.QWidget] = ...
    ) -> None:
        """
        https://doc.qt.io/qt-5/qpagesetupdialog.html#QPageSetupDialog

        **QPageSetupDialog::QPageSetupDialog(QPrinter * printer , QWidget *
        parent = nullptr)**

        Constructs a page setup dialog that configures **printer** with
        **parent** as the parent widget.
        """
        ...

    @typing.overload
    def __init__(
        self,
        printer: PySide2.QtPrintSupport.QPrinter,
        parent: typing.Optional[PySide2.QtWidgets.QWidget] = ...,
    ) -> None:
        """
        https://doc.qt.io/qt-5/qpagesetupdialog.html#QPageSetupDialog

        **QPageSetupDialog::QPageSetupDialog(QPrinter * printer , QWidget *
        parent = nullptr)**

        Constructs a page setup dialog that configures **printer** with
        **parent** as the parent widget.
        """
        ...

    def done(self, result: int) -> None:
        """
        https://doc.qt.io/qt-5/qpagesetupdialog.html#done

        **[override virtual] void QPageSetupDialog::done(int result )**

        Reimplements: **QDialog::done** (int r).
        """
        ...

    def exec_(self) -> int:
        ...

    @typing.overload
    def open(self) -> None:
        """
        https://doc.qt.io/qt-5/qpagesetupdialog.html#open

        **void QPageSetupDialog::open(QObject * receiver , const char * member
        )**

        This is an overloaded function.

        Opens the dialog and connects its **accepted** () signal to the slot
        specified by **receiver** and **member**.

        The signal will be disconnected from the slot when the dialog is closed.

        This function was introduced in Qt 4.5.
        """
        ...

    @typing.overload
    def open(self, receiver: PySide2.QtCore.QObject, member: bytes) -> None:
        """
        https://doc.qt.io/qt-5/qpagesetupdialog.html#open

        **void QPageSetupDialog::open(QObject * receiver , const char * member
        )**

        This is an overloaded function.

        Opens the dialog and connects its **accepted** () signal to the slot
        specified by **receiver** and **member**.

        The signal will be disconnected from the slot when the dialog is closed.

        This function was introduced in Qt 4.5.
        """
        ...

    def printer(self) -> PySide2.QtPrintSupport.QPrinter:
        """
        https://doc.qt.io/qt-5/qpagesetupdialog.html#printer

        **QPrinter *QPageSetupDialog::printer()**

        Returns the printer that was passed to the **QPageSetupDialog**
        constructor.
        """
        ...

    def setVisible(self, visible: bool) -> None:
        ...
