"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui
import PySide2.QtQml
import PySide2.QtQuick

bytes = str


class QSGDynamicTexture(PySide2.QtQuick.QSGTexture):
    """
    https://doc.qt.io/qt-5/qsgdynamictexture.html

    **Detailed Description**

    To update the content of the texture, call **updateTexture** () explicitly.
    Simply calling **bind** () will not update the texture.

    **Note:** All classes with QSG prefix should be used solely on the scene
    graph's rendering thread. See **Scene Graph and Rendering**  for more
    information.
    """

    def __init__(self) -> None:
        ...

    def updateTexture(self) -> bool:
        """
        https://doc.qt.io/qt-5/qsgdynamictexture.html#updateTexture

        **[pure virtual] bool QSGDynamicTexture::updateTexture()**

        Call this function to explicitly update the dynamic texture.

        The function returns true if the texture was changed as a resul of the
        update; otherwise returns false.

        **Note:** This function is typically called from
        **QQuickItem::updatePaintNode** () or **QSGNode::preprocess** (),
        meaning during the `synchronization` or the `node preprocessing` phases
        of the scenegraph. Calling it at other times is discouraged and can lead
        to unexpected behavior.
        """
        ...
