"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui
import PySide2.QtQml
import PySide2.QtQuick

bytes = str


class QSGTransformNode(PySide2.QtQuick.QSGNode):
    """
    https://doc.qt.io/qt-5/qsgtransformnode.html

    **Detailed Description**

    Transformations apply the node's subtree and can be nested. Multiple
    transform nodes will be accumulated by intersecting all their matrices. The
    accumulation happens as part of the rendering.

    The transform nodes implement a 4x4 matrix which in theory supports full 3D
    transformations. However, because the renderer optimizes for 2D use-cases
    rather than 3D use-cases, rendering a scene with full 3D transformations
    needs to be done with some care.

    **Note:** All classes with QSG prefix should be used solely on the scene
    graph's rendering thread. See **Scene Graph and Rendering**  for more
    information.
    """

    def __init__(self) -> None:
        """
        https://doc.qt.io/qt-5/qsgtransformnode.html#QSGTransformNode

        **QSGTransformNode::QSGTransformNode()**

        Create a new QSGTransformNode with its matrix set to the identity
        matrix.
        """
        ...

    def combinedMatrix(self) -> PySide2.QtGui.QMatrix4x4:
        ...

    def matrix(self) -> PySide2.QtGui.QMatrix4x4:
        """
        https://doc.qt.io/qt-5/qsgtransformnode.html#matrix

        **const QMatrix4x4 &QSGTransformNode::matrix() const**

        Returns this transform node's matrix.

        **See also** **setMatrix** ().
        """
        ...

    def setCombinedMatrix(self, matrix: PySide2.QtGui.QMatrix4x4) -> None:
        ...

    def setMatrix(self, matrix: PySide2.QtGui.QMatrix4x4) -> None:
        """
        https://doc.qt.io/qt-5/qsgtransformnode.html#setMatrix

        **void QSGTransformNode::setMatrix(const QMatrix4x4 & matrix )**

        Sets this transform node's matrix to **matrix**.

        **See also** **matrix** ().
        """
        ...
