"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtScxml

bytes = str


class QScxmlInvokableServiceFactory(PySide2.QtCore.QObject):
    """
    https://doc.qt.io/qt-5/qscxmlinvokableservicefactory.html

    **Detailed Description**

    Each service instance represents an `<invoke>` element in the SCXML
    document. Each time the service is actually invoked, a new instance of
    **QScxmlInvokableService**  is created.
    """

    def __init__(
        self,
        invokeInfo: PySide2.QtScxml.QScxmlExecutableContent.InvokeInfo,
        names: typing.List,
        parameters: typing.List,
        parent: typing.Optional[PySide2.QtCore.QObject] = ...,
    ) -> None:
        ...

    def invoke(
        self, parentStateMachine: PySide2.QtScxml.QScxmlStateMachine
    ) -> PySide2.QtScxml.QScxmlInvokableService:
        """
        https://doc.qt.io/qt-5/qscxmlinvokableservicefactory.html#invoke

        **[pure virtual] QScxmlInvokableService
        *QScxmlInvokableServiceFactory::invoke(QScxmlStateMachine *
        parentStateMachine )**

        Invokes the service with the parameters given in the constructor,
        passing **parentStateMachine** as the parent. Returns the new invokable
        service.
        """
        ...

    def invokeInfo(self) -> PySide2.QtScxml.QScxmlExecutableContent.InvokeInfo:
        """
        https://doc.qt.io/qt-5/qscxmlinvokableservicefactory.html#invokeInfo-
        prop

        **invokeInfo : const QScxmlExecutableContent::InvokeInfo**

        This property holds the **QScxmlExecutableContent::InvokeInfo**  passed
        to the constructor.

        **Access functions:**

        const QScxmlExecutableContent::InvokeInfo & **invokeInfo** () const
        """
        ...

    def names(self) -> typing.List:
        """
        https://doc.qt.io/qt-5/qscxmlinvokableservicefactory.html#names-prop

        **names : const QVector<QScxmlExecutableContent::StringId>**

        This property holds the names passed to the constructor.

        **Access functions:**

        const QVector<QScxmlExecutableContent::StringId> & **names** () const
        """
        ...

    def parameters(self) -> typing.List:
        """
        https://doc.qt.io/qt-5/qscxmlinvokableservicefactory.html#parameters-
        prop

        **parameters : const QVector<QScxmlExecutableContent::ParameterInfo>**

        This property holds the parameters passed to the constructor.

        **Access functions:**

        const QVector<QScxmlExecutableContent::ParameterInfo> & **parameters**
        () const

        **Member Function Documentation**
        """
        ...
