"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtSensors

bytes = str


class QGyroscopeReading(PySide2.QtSensors.QSensorReading):
    """
    https://doc.qt.io/qt-5/qgyroscopereading.html

    **Detailed Description**

    **QGyroscopeReading Units**

    The reading contains 3 values, measured in degrees per second that define
    the movement of the device around the x, y and z axes. Unlike
    **QRotationReading** , the values represent the current angular velocity
    rather than a fixed rotation. The measurements are in degrees per second.

    ![](images/sensors-coordinates3.jpg)
    """

    def __init__(self, parent: PySide2.QtCore.QObject) -> None:
        ...

    def copyValuesFrom(self, other: PySide2.QtSensors.QSensorReading) -> None:
        ...

    def setX(self, x: float) -> None:
        """
        https://doc.qt.io/qt-5/qgyroscopereading.html#setX

        **void QGyroscopeReading::setX(qreal x )**

        Sets the angular velocity around the x axis to **x**.

        **See also** **x** ().
        """
        ...

    def setY(self, y: float) -> None:
        """
        https://doc.qt.io/qt-5/qgyroscopereading.html#setY

        **void QGyroscopeReading::setY(qreal y )**

        Sets the angular velocity around the y axis to **y**.

        **See also** **y** ().
        """
        ...

    def setZ(self, z: float) -> None:
        """
        https://doc.qt.io/qt-5/qgyroscopereading.html#setZ

        **void QGyroscopeReading::setZ(qreal z )**

        Sets the angular velocity around the z axis to **z**.

        **See also** **z** ().
        """
        ...

    def x(self) -> float:
        """
        https://doc.qt.io/qt-5/qgyroscopereading.html#x-prop

        **x : const qreal**

        This property holds the angular velocity around the x axis.

        Measured as degrees per second.

        **Access functions:**

        qreal **x** () const

        **See also** **QGyroscopeReading Units** .
        """
        ...

    def y(self) -> float:
        """
        https://doc.qt.io/qt-5/qgyroscopereading.html#y-prop

        **y : const qreal**

        This property holds the angular velocity around the y axis.

        Measured as degrees per second.

        **Access functions:**

        qreal **y** () const

        **See also** **QGyroscopeReading Units** .
        """
        ...

    def z(self) -> float:
        """
        https://doc.qt.io/qt-5/qgyroscopereading.html#z-prop

        **z : const qreal**

        This property holds the angular velocity around the z axis.

        Measured as degrees per second.

        **Access functions:**

        qreal **z** () const

        **See also** **QGyroscopeReading Units** .

        **Member Function Documentation**
        """
        ...
