"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtSensors

bytes = str


class QLightSensor(PySide2.QtSensors.QSensor):
    """
    https://doc.qt.io/qt-5/qlightsensor.html

    **Detailed Description**

    The only behavioural difference is that this class sets the type properly.

    This class also features a **reading** () function that returns a
    **QLightReading**  instead of a **QSensorReading** .

    For details about how the sensor works, see **QLightReading** .

    **See also** **QLightReading** .
    """

    def __init__(self, parent: typing.Optional[PySide2.QtCore.QObject] = ...) -> None:
        """
        https://doc.qt.io/qt-5/qlightsensor.html#QLightSensor

        **QLightSensor::QLightSensor(QObject * parent = Q_NULLPTR)**

        Construct the sensor as a child of **parent**.
        """
        ...

    def fieldOfView(self) -> float:
        """
        https://doc.qt.io/qt-5/qlightsensor.html#fieldOfView-prop

        **fieldOfView : const qreal**

        This property holds a value indicating the field of view.

        This is an angle that represents the field of view of the sensor.

        Not all light sensor support retrieving their field of view. For sensors
        that don't support this property, the value will be 0. Whether the field
        of view is supported can be checked with **QSensor::isFeatureSupported**
        () and the **QSensor::FieldOfView**  flag.

        **Access functions:**

        qreal **fieldOfView** () const

        **Notifier signal:**

        void **fieldOfViewChanged** (qreal **fieldOfView** )

        **Member Function Documentation**
        """
        ...

    def reading(self) -> PySide2.QtSensors.QLightReading:
        """
        https://doc.qt.io/qt-5/qlightsensor.html#reading

        **QLightReading *QLightSensor::reading() const**

        Returns the reading class for this sensor.

        **See also** **QSensor::reading** ().
        """
        ...

    def setFieldOfView(self, fieldOfView: float) -> None:
        """
        https://doc.qt.io/qt-5/qlightsensor.html#setFieldOfView

        **void QLightSensor::setFieldOfView(qreal fieldOfView )**

        Sets the field of view to **fieldOfView**. This is to be called from the
        backend.

        This function was introduced in Qt 5.1.

        **See also** **fieldOfView** ().
        """
        ...

    @property
    def fieldOfViewChanged(self) -> PySide2.QtCore.SignalInstance:
        ...
