"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtSensors

bytes = str


class QMagnetometer(PySide2.QtSensors.QSensor):
    """
    https://doc.qt.io/qt-5/qmagnetometer.html

    **Detailed Description**

    The only behavioural difference is that this class sets the type properly.

    This class also features a **reading** () function that returns a
    **QMagnetometerReading**  instead of a **QSensorReading** .

    For details about how the sensor works, see **QMagnetometerReading** .

    **See also** **QMagnetometerReading** .
    """

    def __init__(self, parent: typing.Optional[PySide2.QtCore.QObject] = ...) -> None:
        """
        https://doc.qt.io/qt-5/qmagnetometer.html#QMagnetometer

        **QMagnetometer::QMagnetometer(QObject * parent = Q_NULLPTR)**

        Construct the sensor as a child of **parent**.
        """
        ...

    def reading(self) -> PySide2.QtSensors.QMagnetometerReading:
        """
        https://doc.qt.io/qt-5/qmagnetometer.html#reading

        **QMagnetometerReading *QMagnetometer::reading() const**

        Returns the reading class for this sensor.

        **See also** **QSensor::reading** ().
        """
        ...

    def returnGeoValues(self) -> bool:
        """
        https://doc.qt.io/qt-5/qmagnetometer.html#returnGeoValues-prop

        **returnGeoValues : bool**

        This property holds a value indicating if geomagnetic values should be
        returned.

        Set to true to return geomagnetic flux density. Set to false (the
        default) to return raw magnetic flux density.

        The property must be set before calling **start** ().

        **Access functions:**

        bool **returnGeoValues** () const
        void **setReturnGeoValues** (bool
        **returnGeoValues** )

        **Notifier signal:**

        void **returnGeoValuesChanged** (bool **returnGeoValues** )

        **Member Function Documentation**
        """
        ...

    def setReturnGeoValues(self, returnGeoValues: bool) -> None:
        """
        https://doc.qt.io/qt-5/qmagnetometer.html#returnGeoValues-prop

        **returnGeoValues : bool**

        This property holds a value indicating if geomagnetic values should be
        returned.

        Set to true to return geomagnetic flux density. Set to false (the
        default) to return raw magnetic flux density.

        The property must be set before calling **start** ().

        **Access functions:**

        bool **returnGeoValues** () const
        void **setReturnGeoValues** (bool
        **returnGeoValues** )

        **Notifier signal:**

        void **returnGeoValuesChanged** (bool **returnGeoValues** )

        **Member Function Documentation**
        """
        ...

    @property
    def returnGeoValuesChanged(self) -> PySide2.QtCore.SignalInstance:
        ...
