"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtSensors

bytes = str


class QPressureReading(PySide2.QtSensors.QSensorReading):
    """
    https://doc.qt.io/qt-5/qpressurereading.html

    **Detailed Description**

    **QPressureReading Units**

    The pressure sensor returns atmospheric pressure values in Pascals.
    """

    def __init__(self, parent: PySide2.QtCore.QObject) -> None:
        ...

    def copyValuesFrom(self, other: PySide2.QtSensors.QSensorReading) -> None:
        ...

    def pressure(self) -> float:
        """
        https://doc.qt.io/qt-5/qpressurereading.html#pressure-prop

        **pressure : const qreal**

        This property holds the measured atmospheric pressure.

        Returned as Pascals.

        **Access functions:**

        qreal **pressure** () const

        **See also** **QPressureReading Units** .
        """
        ...

    def setPressure(self, pressure: float) -> None:
        """
        https://doc.qt.io/qt-5/qpressurereading.html#setPressure

        **void QPressureReading::setPressure(qreal pressure )**

        Sets the pressure to **pressure**.

        **See also** **pressure** ().
        """
        ...

    def setTemperature(self, temperature: float) -> None:
        """
        https://doc.qt.io/qt-5/qpressurereading.html#setTemperature

        **void QPressureReading::setTemperature(qreal temperature )**

        Sets the pressure sensor's temperature to **temperature**.

        This function was introduced in Qt 5.2.

        **See also** **temperature** ().
        """
        ...

    def temperature(self) -> float:
        """
        https://doc.qt.io/qt-5/qpressurereading.html#temperature-prop

        **temperature : const qreal**

        This property holds the pressure sensor's temperature.

        The temperature is returned in degree Celsius. This property, if
        supported, provides the pressure sensor die temperature. Note that this
        temperature may be (and usually is) different than the temperature
        reported from **QAmbientTemperatureSensor** . Use
        **QSensor::isFeatureSupported** () with the
        **QSensor::PressureSensorTemperature**  flag to determine its
        availability.

        This property was introduced in Qt 5.2.

        **Access functions:**

        qreal **temperature** () const

        **Member Function Documentation**
        """
        ...
