"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui
import PySide2.QtWidgets
import PySide2.QtPrintSupport
import PySide2.QtWebChannel
import PySide2.QtWebEngineCore
import PySide2.QtWebEngineWidgets

bytes = str


class QWebEngineFullScreenRequest(object):
    """
    https://doc.qt.io/qt-5/qwebenginefullscreenrequest.html

    **Detailed Description**

    To allow elements such as videos to be shown in the fullscreen mode,
    applications must set **QWebEngineSettings::FullScreenSupportEnabled**  and
    connect to **QWebEnginePage::fullScreenRequested** , which takes a
    QWebEngineFullScreenRequest instance as an argument.

    If an element of a web page requests to be shown in the fullscreen mode,
    **QWebEnginePage::fullScreenRequested**  will be emitted with an
    QWebEngineFullScreenRequest instance as an argument where **toggleOn** ()
    returns `true`. The signal handler needs to then either call **accept** ()
    or **reject** ().

    If the request to enter the fullscreen mode is accepted, the element
    requesting fullscreen mode will fill the viewport, but it is up to the
    application to make the view fullscreen or to move the page to a view that
    is in the fullscreen mode.

    Likewise, a **QWebEnginePage::fullScreenRequested**  will be emitted when
    the user wants to leave the full screen mode (that is, through the
    **QWebEnginePage::ExitFullScreen**  context menu action). In this case,
    **toggleOn** () will return `false`, and the signal handler again needs to
    **accept** () or **reject** () the request. If it is accepted, the
    applicaton needs to make sure that the global window state is restored.
    """

    def accept(self) -> None:
        """
        https://doc.qt.io/qt-5/qwebenginefullscreenrequest.html#accept

        **void QWebEngineFullScreenRequest::accept()**

        Accepts the request to enter or exit the fullscreen mode.

        **Note:** This function can be invoked via the meta-object system and
        from QML. See **Q_INVOKABLE** .
        """
        ...

    def origin(self) -> PySide2.QtCore.QUrl:
        """
        https://doc.qt.io/qt-5/qwebenginefullscreenrequest.html#origin

        **const QUrl &QWebEngineFullScreenRequest::origin() const**

        Returns the URL to be opened in the fullscreen mode.

        **Note:** Getter function for property origin.
        """
        ...

    def reject(self) -> None:
        """
        https://doc.qt.io/qt-5/qwebenginefullscreenrequest.html#reject

        **void QWebEngineFullScreenRequest::reject()**

        Rejects a request to enter or exit the fullscreen mode.

        **Note:** This function can be invoked via the meta-object system and
        from QML. See **Q_INVOKABLE** .
        """
        ...

    def toggleOn(self) -> bool:
        """
        https://doc.qt.io/qt-5/qwebenginefullscreenrequest.html#toggleOn

        **bool QWebEngineFullScreenRequest::toggleOn() const**

        Returns `true` if the web page has issued a request to enter the
        fullscreen mode, otherwise returns `false`.

        **Note:** Getter function for property toggleOn.
        """
        ...
