"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui
import PySide2.QtWidgets

bytes = str


class QKeyEventTransition(PySide2.QtCore.QEventTransition):
    """
    https://doc.qt.io/qt-5/qkeyeventtransition.html

    **Detailed Description**

    QKeyEventTransition is part of **The State Machine Framework** .

    **See also** **QState::addTransition** ().
    """

    @typing.overload
    def __init__(
        self,
        object: PySide2.QtCore.QObject,
        type: PySide2.QtCore.QEvent.Type,
        key: int,
        sourceState: typing.Optional[PySide2.QtCore.QState] = ...,
    ) -> None:
        """
        https://doc.qt.io/qt-5/qkeyeventtransition.html#QKeyEventTransition

        **QKeyEventTransition::QKeyEventTransition(QState * sourceState =
        nullptr)**

        Constructs a new key event transition with the given **sourceState**.
        """
        ...

    @typing.overload
    def __init__(
        self, sourceState: typing.Optional[PySide2.QtCore.QState] = ...
    ) -> None:
        """
        https://doc.qt.io/qt-5/qkeyeventtransition.html#QKeyEventTransition

        **QKeyEventTransition::QKeyEventTransition(QState * sourceState =
        nullptr)**

        Constructs a new key event transition with the given **sourceState**.
        """
        ...

    def eventTest(self, event: PySide2.QtCore.QEvent) -> bool:
        """
        https://doc.qt.io/qt-5/qkeyeventtransition.html#eventTest

        **[override virtual protected] bool
        QKeyEventTransition::eventTest(QEvent * event )**

        Reimplements: **QEventTransition::eventTest** (QEvent *event).
        """
        ...

    def key(self) -> int:
        """
        https://doc.qt.io/qt-5/qkeyeventtransition.html#key

        **int QKeyEventTransition::key() const**

        Returns the key that this key event transition checks for.

        **Note:** Getter function for property key.

        **See also** **setKey** ().
        """
        ...

    def modifierMask(self) -> PySide2.QtCore.Qt.KeyboardModifiers:
        """
        https://doc.qt.io/qt-5/qkeyeventtransition.html#modifierMask

        **Qt::KeyboardModifiers QKeyEventTransition::modifierMask() const**

        Returns the keyboard modifier mask that this key event transition checks
        for.

        **Note:** Getter function for property modifierMask.

        **See also** **setModifierMask** ().
        """
        ...

    def onTransition(self, event: PySide2.QtCore.QEvent) -> None:
        """
        https://doc.qt.io/qt-5/qkeyeventtransition.html#onTransition

        **[override virtual protected] void
        QKeyEventTransition::onTransition(QEvent * event )**

        Reimplements: **QEventTransition::onTransition** (QEvent *event).
        """
        ...

    def setKey(self, key: int) -> None:
        """
        https://doc.qt.io/qt-5/qkeyeventtransition.html#setKey

        **void QKeyEventTransition::setKey(int key )**

        Sets the **key** that this key event transition will check for.

        **Note:** Setter function for property **key** .

        **See also** **key** ().
        """
        ...

    def setModifierMask(self, modifiers: PySide2.QtCore.Qt.KeyboardModifiers) -> None:
        """
        https://doc.qt.io/qt-5/qkeyeventtransition.html#setModifierMask

        **void QKeyEventTransition::setModifierMask(Qt::KeyboardModifiers
        modifierMask )**

        Sets the keyboard modifier mask that this key event transition will
        check for to **modifierMask**.

        **Note:** Setter function for property **modifierMask** .

        **See also** **modifierMask** ().
        """
        ...
