"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtGui
import PySide2.QtWidgets
import PySide2.QtWinExtras

bytes = str


class QWinJumpList(PySide2.QtCore.QObject):
    """
    https://doc.qt.io/qt-5/qwinjumplist.html

    **Detailed Description**

    An application can use Jump Lists to provide users with faster access to
    files or to display shortcuts to tasks or commands.
    """

    def __init__(self, parent: typing.Optional[PySide2.QtCore.QObject] = ...) -> None:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#QWinJumpList

        **QWinJumpList::QWinJumpList(QObject * parent = nullptr)**

        Constructs a QWinJumpList with the parent object **parent**.
        """
        ...

    @typing.overload
    def addCategory(self, category: PySide2.QtWinExtras.QWinJumpListCategory) -> None:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#addCategory

        **void QWinJumpList::addCategory(QWinJumpListCategory * category )**

        Adds a custom **category** to the jump list.
        """
        ...

    @typing.overload
    def addCategory(
        self, title: str, items: typing.Sequence = ...
    ) -> PySide2.QtWinExtras.QWinJumpListCategory:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#addCategory

        **void QWinJumpList::addCategory(QWinJumpListCategory * category )**

        Adds a custom **category** to the jump list.
        """
        ...

    def categories(self) -> typing.List:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#categories

        **QList<QWinJumpListCategory *> QWinJumpList::categories() const**

        Returns the custom categories in the jump list.
        """
        ...

    def clear(self) -> None:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#clear

        **[slot] void QWinJumpList::clear()**

        Clears the jump list.

        **See also** **QWinJumpListCategory::clear** ().
        """
        ...

    def frequent(self) -> PySide2.QtWinExtras.QWinJumpListCategory:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#frequent

        **QWinJumpListCategory *QWinJumpList::frequent() const**

        Returns the frequent items category in the jump list.
        """
        ...

    def identifier(self) -> str:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#identifier-prop

        **identifier : QString**

        This property holds the jump list identifier

        Specifies an optional explicit unique identifier for the application
        jump list.

        The default value is empty; a system-defined internal identifier is used
        instead. See **Application User Model IDs**  on MSDN for further
        details.

        **Note:** The identifier cannot have more than `128` characters and
        cannot contain spaces. A too long identifier is automatically truncated
        to `128` characters, and spaces are replaced by underscores.

        **Access functions:**

        QString **identifier** () const
        void **setIdentifier** (const QString
        & **identifier** )

        **Member Function Documentation**
        """
        ...

    def recent(self) -> PySide2.QtWinExtras.QWinJumpListCategory:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#recent

        **QWinJumpListCategory *QWinJumpList::recent() const**

        Returns the recent items category in the jump list.
        """
        ...

    def setIdentifier(self, identifier: str) -> None:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#identifier-prop

        **identifier : QString**

        This property holds the jump list identifier

        Specifies an optional explicit unique identifier for the application
        jump list.

        The default value is empty; a system-defined internal identifier is used
        instead. See **Application User Model IDs**  on MSDN for further
        details.

        **Note:** The identifier cannot have more than `128` characters and
        cannot contain spaces. A too long identifier is automatically truncated
        to `128` characters, and spaces are replaced by underscores.

        **Access functions:**

        QString **identifier** () const
        void **setIdentifier** (const QString
        & **identifier** )

        **Member Function Documentation**
        """
        ...

    def tasks(self) -> PySide2.QtWinExtras.QWinJumpListCategory:
        """
        https://doc.qt.io/qt-5/qwinjumplist.html#tasks

        **QWinJumpListCategory *QWinJumpList::tasks() const**

        Returns the tasks category in the jump list.
        """
        ...
