"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtXml

bytes = str


class QDomEntityReference(PySide2.QtXml.QDomNode):
    """
    https://doc.qt.io/qt-5/qdomentityreference.html

    **Detailed Description**

    A QDomEntityReference object may be inserted into the DOM tree when an
    entity reference is in the source document, or when the user wishes to
    insert an entity reference.

    Note that character references and references to predefined entities are
    expanded by the XML processor so that characters are represented by their
    Unicode equivalent rather than by an entity reference.

    Moreover, the XML processor may completely expand references to entities
    while building the DOM tree, instead of providing QDomEntityReference
    objects.

    If it does provide such objects, then for a given entity reference node, it
    may be that there is no entity node representing the referenced entity; but
    if such an entity exists, then the child list of the entity reference node
    is the same as that of the entity node. As with the entity node, all
    descendants of the entity reference are read-only.

    For further information about the Document Object Model see **Level 1**  and
    **Level 2 Core** . For a more general introduction of the DOM implementation
    see the **QDomDocument**  documentation.
    """

    @typing.overload
    def __init__(self) -> None:
        """
        https://doc.qt.io/qt-5/qdomentityreference.html#QDomEntityReference

        **QDomEntityReference::QDomEntityReference()**

        Constructs an empty entity reference. Use
        **QDomDocument::createEntityReference** () to create a entity reference
        with content.
        """
        ...

    @typing.overload
    def __init__(self, x: PySide2.QtXml.QDomEntityReference) -> None:
        """
        https://doc.qt.io/qt-5/qdomentityreference.html#QDomEntityReference

        **QDomEntityReference::QDomEntityReference()**

        Constructs an empty entity reference. Use
        **QDomDocument::createEntityReference** () to create a entity reference
        with content.
        """
        ...

    @staticmethod
    def __copy__() -> None:
        ...

    def nodeType(self) -> PySide2.QtXml.QDomNode.NodeType:
        """
        https://doc.qt.io/qt-5/qdomentityreference.html#nodeType

        **QDomNode::NodeType QDomEntityReference::nodeType() const**

        Returns `EntityReference`.
        """
        ...
