"""
PySide2 stub files generated by **IceSpringPySideStubs**

Home page: https://github.com/baijifeilong/IceSpringPySideStubs

Generated by BaiJiFeiLong@gmail.com'Licence: GPL-3
"""
import typing
import PySide2
import PySide2.QtCore
import PySide2.QtXmlPatterns

bytes = str


class QXmlNamePool(object):
    """
    https://doc.qt.io/qt-5/qxmlnamepool.html

    **Detailed Description**

    QXmlNamePool is used to optimize operations on instances of **QXmlName** .
    An instance of **QXmlName**  represents an XML name in a way that allows the
    XML name to be compared and passed around efficiently. The efficiency is
    achieved by storing the strings comprising the XML names in an instance of
    QXmlNamePool, where they are mapped to binary identifiers, which are then
    packed into a key which is stored in the **QXmlName** .

    This means that each instance of **QXmlName**  is tied to the name pool it
    was created with, and that name pool should be kept in scope and used to
    create all instances of **QXmlName**  that might be compared. Note also that
    the name pool is required if you must reconstitute the **QXmlName**  as
    text, or if you must access any of its component strings, so although
    instances of **QXmlName**  can be compared without reference to a name pool,
    the name pool must be kept in scope if the name's strings must be accessed
    later.

    **See also** **QXmlName**  and **QXmlQuery::namePool** ().
    """

    @typing.overload
    def __init__(self) -> None:
        """
        https://doc.qt.io/qt-5/qxmlnamepool.html#QXmlNamePool

        **QXmlNamePool::QXmlNamePool()**

        Constructs an empty name pool.
        """
        ...

    @typing.overload
    def __init__(self, other: PySide2.QtXmlPatterns.QXmlNamePool) -> None:
        """
        https://doc.qt.io/qt-5/qxmlnamepool.html#QXmlNamePool

        **QXmlNamePool::QXmlNamePool()**

        Constructs an empty name pool.
        """
        ...

    @staticmethod
    def __copy__() -> None:
        ...
